Subject: Ticket Assigned - Customer Service case # 2400295
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 10 May 2021 13:43:44 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Customer Service case # 2400295 Hi,

Regarding order #6287564971, I've sent a request to return the goods and
opened ticket #2400295. Many emails received that you need extra
information and I'm not replying back.
I've replied back several times. Maybe you have something in your system
that blocks your customers emails, send it to junk mail or you're just
ignoring the replies.

My answer is that i'm confirming my address:

2692 Prince Fahd bin Faisal bin Farhan Al Saud Street, Ulaishah

Second floor, Apartment 16

+966 544012730

Please process the return request.

BR, Ahmed

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2412169